<?php
@include_once(realpath(dirname(__FILE__)) . "/../../../fonctions/authplugins.php");
if (function_exists("autorisation")) autorisation("editerinfoplugin");

require_once(realpath(dirname(__FILE__)) . '/../../../classes/Baseobj.class.php');
require_once(realpath(dirname(__FILE__)) . '/../../../classes/Modules.class.php');
require_once(realpath(dirname(__FILE__)) . '/../../../classes/Modulesdesc.class.php');
require_once(realpath(dirname(__FILE__)) . '/../../../classes/Lang.class.php');
require_once(realpath(dirname(__FILE__)) . '/../../../classes/Devise.class.php');

class EditerinfopluginAdmin
{
    var $liste_modules;
    var $moduledesc;
    var $type_modules;
    var $langues;
    var $devises;
    function EditerinfopluginAdmin()
    {
        $this->type_modules = false;
        $this->moduledesc = false;

        $this->common();

        $this->type();
    }

    private function common()
    {
        $this->langues = array();
        $this->devises = array();

        $lang = new Lang();
        $dev  = new Devise();

        $result = mysql_query('select * from '.$lang->table.' order by id');

	    while($result && $row = mysql_fetch_object($result))
        {
            $this->langues[$row->id] = $row;
        }

        $result = mysql_query('select * from '.$dev->table.' order by nom');

	    while($result && $row = mysql_fetch_object($result))
        {
            $this->devises[$row->id] = $row;
        }
    }

    function type()
    {
        if (! isset($_REQUEST['type_modules'])) return;

        $this->type_modules = intval($_REQUEST['type_modules']);

        $this->lister_modules();
    }

    function charger()
    {
        if (! isset($_REQUEST['plugin'])) return;

        $plugin = $_REQUEST['plugin'];
        $lang = intval($_REQUEST['lang']);
        if ($lang <= 1) $lang = 1;

        $module = new Modules();

        if ($module->charger($plugin))
        {
	        $this->moduledesc = new Modulesdesc();

	        $this->moduledesc->charger($plugin, $lang);

	        // S'assurer qu'on charge avec la bonne langue:
	        // $this->moduledesc->charger($plugin, $lang) retourne la langue 1 si
	        // la langue demande n'existe pas.
	        $existe = $this->moduledesc->verif($plugin, $lang);

	        // Initialiser si la description n'existe pas dans cette langue.
	        if (! $existe)
	        {
	            $this->moduledesc->lang = $lang;
	            $this->moduledesc->plugin = $plugin;
	            $this->moduledesc->devise = 0;
	        }

	        $this->moduledesc->id_module = $module->id;
        }
    }

    function modifier()
    {
        $plugin = $_REQUEST['plugin'];
        $lang = intval($_REQUEST['lang']);

        $md = new Modulesdesc();
        $existe = $md->verif($plugin, $lang);

        $md->titre = $_REQUEST['titre'];
        $md->chapo = $_REQUEST['chapo'];
        $md->description = $_REQUEST['description'];
        $md->devise = $_REQUEST['devise'];

        if ($existe)
        {
            $md->maj();
        }
        else
        {
            $md->id = '';
            $md->lang = $lang;
            $md->plugin = $plugin;

            $md->add();
        }

        // Vider le cache des requtes (s'il existe)
        if (method_exists('Baseobj','viderCache')) Baseobj::viderCache();

        // Recharcharger les infos du module
        // (on ne peut pas utiliser $md, car aprs un maj() les
        // variables de l'objet sont escapes pour mysql. C'est nul, bouh !
        $this->charger();
    }

    private function lister_modules()
    {
        $this->liste_modules = array();

        $modules = new Modules();

        if ($this->type_modules != 99)
        {
            $where = "where type='".$this->type_modules."'";
        }

        $query = "select * from $modules->table $where order by nom";

	    $result = mysql_query($query);

	    while($result && $row = mysql_fetch_object($result))
        {
            $this->liste_modules[$row->id] = $row;
        }
    }

    public function is_selected($v1, $v2)
    {
        return $v1 == $v2 ? ' selected="selected" ' : '';
    }
}

// -- MAIN -------------------------------------------------------------------------------------

    $adm = new EditerinfopluginAdmin();

    $command = $_REQUEST['ip_command'];

    switch($command)
    {
        case 'type' :
            $adm->type();
        break;

        case 'charger' :
            $adm->charger();
        break;

        case 'modifier' :
            $adm->modifier();
        break;
    }
?>
<style type="text/css">
td {
    height: 30px;
    padding: 4px;
}

th {
    height: 30px;
}

th.fzq {
    padding: 4px;
    font-weight: bold;
    background-color:#9EB0BE;
}

.fonction_valider {
   float: right;
}

</style>

<script type="text/javascript" src="../lib/jquery/jquery.js"></script>
<script type="text/javascript">

    function charger_plugins()
    {
        if ($('select[name=type_modules]').val() > 0)
        {
            $('input[name=ip_command]').val('type');

            $('#ip_form').submit();
        }
    }

    function charger_infos()
    {
        if ($('select[name=id_module]').val() != '')
        {
            $('input[name=ip_command]').val('charger');

            $('#ip_form').submit();
        }
    }

    function modifier_infos()
    {
        $('input[name=ip_command]').val('modifier');

        $('#ip_form').submit();
    }

    $(document).ready(function() {
        $('select[name=type_modules]').val('<?php echo $adm->type_modules; ?>');
    });
</script>

<div id="contenu_int">
<p class="geneva11Reg_3B4B5B"><a href="accueil.php" class="lien04">Accueil </a>
<img src="gfx/suivant.gif" width="12" height="9" border="0" /><a href="module_liste.php" class="lien04">Modules</a>
<img src="gfx/suivant.gif" width="12" height="9" border="0" /><a href="module.php?nom=editerinfoplugin" class="lien04">Edition des informations des modules</a>
</p>

<div id="bloc_description">
    <form action="<?php echo $_SERVER['PHP_SELF'] ?>" id="ip_form" method="post">
        <input type="hidden" name="nom" value="editerinfoplugin" />
        <input type="hidden" name="ip_command" value=""/>

 		<div class="entete">
    		  <div class="titre">PLUGIN A EDITER</div>
		</div>

    	<table width="100%" cellpadding="5" cellspacing="0">
       	<tr class="claire">
            <th class="designation">Type de plugins a diter</th>
            <th>
                <select name="type_modules" onchange="charger_plugins();">
                    <option value="-1">Selection...</option>
                    <option value="1">Paiement</option>
                    <option value="2">Transport</option>
                    <option value="3">Classiques</option>
                    <option value="99">Tous</option>
                </select>
            </th>
       	</tr>

<?php if ($adm->type_modules !== false) { ?>

       	<tr class="claire">
            <td class="designation">Choisissez le plugin a diter</td>
            <td>
                <select name="plugin">
                    <option value="">Selection...</option>
                    <?php
                    foreach($adm->liste_modules as $id => $data)
                    {
                        echo '<option value="'.$data->nom.'"'.$adm->is_selected($id, $adm->moduledesc->id_module).'>'.$data->nom.'</option>';
                    }
                    ?>
                </select> en <select name="lang">
                    <?php
                    foreach($adm->langues as $id => $data)
                    {
                        echo '<option value="'.$data->id.'"'.$adm->is_selected($data->id, $adm->moduledesc->lang).'>'.$data->description.'</option>';
                    }
                    ?>
                </select>
                <input type="submit" value="Afficher" onclick="charger_infos(); return false" />
            </td>
       	</tr>

<?php } ?>

       	</table>

<?php if ($adm->moduledesc != null)
{
?>

		<div class="entete">
			<div class="titre">INFORMATIONS POUR LE MODULE <?php echo $adm->moduledesc->plugin; ?></div>
			<div class="fonction_valider"><a href="#" onclick="modifier_infos()">VALIDER LES MODIFICATIONS</a></div>
		</div>

    	<table width="100%" cellpadding="5" cellspacing="0">
       	<tr class="claire">
            <th class="designation">Titre</th>
            <th><input name="titre" id="titre" type="text" class="form_long" value="<?php echo($adm->moduledesc->titre); ?>" /></th>
       	</tr>
       	<tr class="fonce">
            <td class="designation">Chapo<br /> <span class="note">(courte description d'introduction)</span></td>
            <td><textarea name="chapo" id="chapo_bug" cols="40" rows="2" class="form_long"><?php echo($adm->moduledesc->chapo); ?></textarea></td>
       	</tr>
       	<tr class="claire">
            <td class="designation">Description<br /> <span class="note">(description complte)</span></td>
            <td><textarea name="description" id="description" rows="5" cols="20" style="width:100%;"><?php echo($adm->moduledesc->description); ?></textarea></td>
       	</tr>
       	<tr class="fonce">
            <td class="designation">Devise</td>
            <td><select name="devise">
                    <?php
                    echo '<option value="0">Par dfaut</option>';
                    foreach($adm->devises as $id => $data)
                    {
                        echo '<option value="'.$data->id.'"'.$adm->is_selected($data->id, $adm->moduledesc->devise).'>'.$data->nom.'</option>';
                    }
                    ?>
                </select>
            </td>
       	</tr>
        </table>
    </form>
<?php } ?>

<p style="color:#505050;font-size:9px;text-align:center;">Plugin Thelia ralis par <a href="mailto:thelia@allimant.org">Franck Allimant</a>. Contact: <a href="mailto:thelia@allimant.org">thelia@allimant.org</a> - +33(0)6.62.38.28.69</p>

</div>

</div>
